routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('user', 'User\UserController');


//Route::resource('almacen','Almacen\AlmacenController');

Route::get('almacen/{almacen}','Almacen\AlmacenController@destroy')->name('almacen.destroy');
Route::post('almacen','Almacen\AlmacenController@store')->name('almacen.store');
Route::get('almacen','Almacen\AlmacenController@create')->name('almacen.create');
	

Route::resource('product', 'Producto\ProductoController');

Route::resource('orden-compra', 'OrdenCompraController');
Route::get('orden/generate/{product}','OrdenCompraController@showOrder')->name('orden-compra.generate');
Route::get('orden/list/{product}','OrdenCompraController@listOrders')->name('orden-compra.list');
Route::get('orden/{order}','OrdenCompraController@destroy')->name('orden.destroy');



Route::resource('orden-venta', 'OrdenVentaController');
Route::get('venta/generate/{product}','OrdenVentaController@showOrder')->name('orden-venta.generate');
Route::get('venta/list/{product}','OrdenVentaController@listOrders')->name('orden-venta.list');
Route::get('venta/{order}','OrdenVentaController@destroy')->name('venta.destroy');


Route::get('kardex/{product}','OrdenVentaController@generateKardex')->name('generate.kardex');


//Route::resource('orden-venta', 'OrdenVentaController');

resources/views/venta/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Registrar Orden de Venta') }}</div>
                <div class="card-body">
                    <form method="POST" action="{{ route('orden-venta.store') }}">
                        @csrf
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Nombre del Producto') }}</label>

                            <div class="col-md-6">
                                <input id="name_producto" type="text" class="form-control" name="name_producto" value="{{ $product->name }}" required autocomplete="name" autofocus readonly>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Codigo') }}</label>

                            <div class="col-md-6">
                                <input id="codigo_producto" type="text" class="form-control" name="codigo_producto" value="{{ $product->id }}" required autocomplete="name" autofocus readonly>
                            </div>
                        </div>
                        <div class="row ">
                            <h6  style="background-color: black; color:yellow; margin-left: 6rem; font-size: .8rem; padding: 2px">Costo:   S/.{{$product->costo}}</h5>
                        </div>
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Precio de Venta S/.') }}</label>
                            <div class="col-md-6">
                                <input id="precio_venta" type="number" class="form-control" name="precio_venta" required autocomplete="name" autofocus step="any" >
                            </div>
                        </div>
                        <div class="row">
                            <h6  style="background-color: black; color:red; margin-left: 6rem; font-size: .8rem; padding: 2px">Stock:   {{$product->cantidad}} unidades</h5>
                        </div>
                        <div class="form-group row">
                            <label for="cantidad" class="col-md-4 col-form-label text-md-right">{{ __('Cantidad a comprar') }}</label>

                            <div class="col-md-6">
                                <input id="cantidad" type="number" class="form-control" name="cantidad" required autocomplete="name" autofocus >
                            </div>

                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Fecha de Pedido ') }}</label>
                            <div class="col-md-6">
                                <input id="fec_pedido" type="date" class="form-control" name="fec_pedido"  required >
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Nombre del Cliente') }}</label>

                            <div class="col-md-6">
                                <input id="name_cliente" type="text" class="form-control" name="name_cliente"  required autocomplete="name" autofocus >
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Apellido del Cliente') }}</label>

                            <div class="col-md-6">
                                <input id="last_name_cliente" type="text" class="form-control" name="last_name_cliente" required autocomplete="name" autofocus >
                            </div>
                        </div>



                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Registrar Venta') }}
                                </button>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/venta/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
  <div class="row justify-content-center">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="float-left">
            <h5> Historial de  <b class="text-primary">Orden de Ventas</b></h5>
          </div>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped table-hover text-center">
              <thead>
                <tr>
                  <th width="10px">ID</th>
                  <th>Nombre de Producto</th>
                  <th>Codigo del Producto</th>
                  <th>Cantidad</th>
                  <th>Precio Venta</th>
                  <th>Fecha de Venta</th>
                  <th> Nombre Cliente</th>
                  <th> Apellido Cliente</th>
                  <th> Ruta Optima</th>
                  <th colspan="2"> &nbsp</th>
                </tr>
              </thead>

              <tbody>
                @foreach($listVentas as $venta)
                <tr>
                  <td>{{$venta->id}}</td>
                  <td>{{$venta->name_producto}}</td>
                  <td>{{$venta->codigo_producto}}</td>
                  <td>{{$venta->cantidad}} unidades</td>
                  <td>S/. {{$venta->precio_venta}}</td>
                  <th>{{$venta->fec_pedido}}</th>
                  <td>{{$venta->name_cliente}}</td>
                  <td>{{$venta->last_name_cliente}}</td>

                  <td>
                    <a onclick="return confirm('Estas seguro de eliminarlo??')"  href="{{route('venta.destroy', $venta->id)}}" class="btn btn-sm btn-danger">Eliminar orden de Venta</a>
                  </td>

                  <td>
                    <a target="_blank" href="https://www.google.com/maps/dir/Plaza+San+Miguel,+Avenida+Universitaria,+Lima/Almacen+Promelsa,+Avenida+Guillermo+Dansey,+Cercado+de+Lima/@-12.0612817,-77.0863361,14z/data=!3m1!4b1!4m13!4m12!1m5!1m1!1s0x9105c970336b0725:0xae2a6f969b48786e!2m2!1d-77.0818676!2d-12.0774497!1m5!1m1!1s0x9105c8d4358d8887:0xaa112f817403e628!2m2!1d-77.0531494!2d-12.0458352" class="btn btn-sm btn-info">Ver ruta optima</a>
                  </td>

                </tr>
                @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection